#ifndef _RUBRICA_H
#define _RUBRICA_H

#include <glib.h>

typedef struct  {
  gboolean editabile;
  gboolean cancellabile;

  gchar *scheda;
  gchar *nome;
  gchar *cognome;
  gchar *professione;
  gchar *via;
  gchar *numero;
  gchar *cap;
  gchar *citta;
  gchar *provincia;
  gchar *stato;
  gchar *note;

  GList *web_list;
  GList *mail_list;
  GList *tel_list;
} Rubrica;

typedef struct _TelNum {
  gchar *numero_telefono;
  gchar *tipo;
} TelNum;


typedef enum  {
  TELEFONO_CASA = 0,
  TELEFONO_UFFICIO,
  TELEFONO_FAX,
  TELEFONO_CELLULARE,
  TELEFONO_SCONOSCIUTO
} TIPO_TELEFONO;


typedef struct _VistaDati {
  GtkWidget *clist_schede;
  GtkWidget *clist_dati;
  
  GtkWidget *progressbar;
  GtkWidget *label_nomefile;
} VistaDati;


#endif
